For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
      • Management
        • Overview
          • Addresses
          • Authentication
          • Channels
          • Company
          • Invoice Management
          • Orders
          • Payment
          • Quotes
          • Sales Staff
          • Shopping List
            • GETList Shopping Lists
            • POSTCreate Shopping List
            • GETGet Shopping List
            • PUTUpdate Shopping List
            • DELDelete Shopping List
            • DELDelete Shopping List Item
          • Super Admin
          • Users
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BManagementShopping List

Create Shopping List

POST
https://api-b2b.bigcommerce.com/api/v3/io/shopping-list
POST
/api/v3/io/shopping-list
$curl -X POST https://api-b2b.bigcommerce.com/api/v3/io/shopping-list \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "Office Supplies Order",
> "description": "Shopping list for office stationery and supplies",
> "status": 0,
> "userId": 4527,
> "channelId": 3,
> "items": [
> {
> "productId": 98765,
> "variantId": 98770,
> "quantity": 10
> }
> ]
>}'
1{
2 "code": 200,
3 "meta": {
4 "message": "SUCCESS"
5 },
6 "data": {
7 "shoppingListId": 1024
8 }
9}
Create a shopping list for a user
Was this page helpful?
Previous

List Shopping Lists

Next

Get Shopping List

Built with

Authentication

X-Auth-Tokenstring
| Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts). | For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
X-Store-Hashstring
| Header | Argument | Description | |:-------|:---------|:------------| | `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |

Request

namestringRequired
descriptionstringOptional
Description information for shopping list
statusenumOptional

status of shopping list, (0: approved, 20: deleted, 30: draft, 40: ready for approval)

Allowed values:
userIdintegerOptional

B2B Edition buyer user ID (one of userId and customerId must be passed, and only one of them can be passed).

customerIdintegerOptional

BigCommerce customer ID(one of userId and customerId must be passed, and only one of them can be passed).

channelIdintegerOptional
BigCommerce channel ID
itemslist of objectsOptional

Response

OK
codeinteger
Response code of success request.
metaobject
dataobject

Errors

422
Unprocessable Entity Error
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.